textures/hellarena_beta2/bridge
{
	cull none
	qer_editorimage textures/hellarena_beta2/bridge.tga
	qer_trans 0.5
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nodraw

	surfaceparm noimpact

	surfaceparm nolightmap
	surfaceparm nomarks

	surfaceparm nonsolid

	surfaceparm playerclip
	surfaceparm trans
	{
		textures/hellarena_beta2/bridge.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hellarena_beta2/fence
{
	qer_editorimage textures/hellarena_beta2/fence.tga
	qer_trans 0.5
	{
		map textures/hellarena_beta2/fence.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hellarena_beta2/glass_blue
{
	cull none
	qer_editorimage textures/hellarena_beta2/glass_blue.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellarena_beta2/glass_blue.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/glass_green
{
	cull none
	qer_editorimage textures/hellarena_beta2/glass_green.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellarena_beta2/glass_green.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/glass_pink
{
	cull none
	qer_editorimage textures/hellarena_beta2/glass_pink.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellarena_beta2/glass_pink.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/ice:q3map
{
	surfaceparm slick
}

textures/hellarena_beta2/portal
{
	surfaceparm lightfilter
	surfaceparm nolightmap
	{
		clampmap textures/hellarena_beta2/portal.tga
		blendfunc blend
		rgbGen identity
		tcMod rotate 540
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

textures/hellarena_beta2/red
{
	qer_editorimage textures/hellarena_beta2/red.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/hellarena_beta2/red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/roller
{
	surfaceparm nolightmap
	{
		map textures/hellarena_beta2/roller.tga
		rgbgen identity
	}
}

textures/hellarena_beta2/roof:q3map
{
	surfaceparm slick
}

textures/hellarena_beta2/skybox
{
	qer_editorimage textures/hellarena_beta2/skybox.tga
	q3map_skylight 10 5
	q3map_sunExt 0.9 0.9 0.9 200 340 30 5 16
	skyparms env/hellarena_beta2/hellarena 512 -
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
}

textures/hellarena_beta2/slime
{
	cull none
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.2
		blendFunc blend
		rgbgen identity
		tcmod scroll 0.01 -0.0173
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.2
		blendFunc blend
		rgbgen identity
		tcmod scroll 0.01 0.0173
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.2
		blendFunc blend
		rgbgen identity
		tcmod scroll -0.02 0
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/slimefall1
{
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.0001
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.0347
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 1.0174
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/slimefall2
{
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.13
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.1646
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 1.1473
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/slimefall3
{
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.3534
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.388
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 1.3707
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/slimefall4
{
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.6327
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.6673
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 1.65
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/slimefall5
{
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.9442
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.9788
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 1.9615
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/slimefall6
{
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 2.2748
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 2.3094
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 2.2921
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/slimefall7
{
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 2.6174
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 2.652
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 2.6347
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/slimefall8
{
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 2.9677
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 3.0023
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 2.985
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/slimefall9
{
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 3.3234
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 3.358
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 3.3407
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/slimefall10
{
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 3.6829
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 3.7175
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 3.7002
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/slimeflow
{
	cull none
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 0.9827
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.0173
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 1
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/slimeflow2
{
	cull none
	qer_editorimage textures/hellarena_beta2/slime2.tga
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_beta2/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 0.4827
	}
	{
		map textures/hellarena_beta2/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 0.5173
	}
	{
		map textures/hellarena_beta2/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 0.5
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/trapbrick
{
	cull none
	qer_editorimage textures/hellarena_beta2/brick.tga
	qer_trans 0.4
	surfaceparm nonsolid
	{
		map textures/hellarena_beta2/brick.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/trapconcrete
{
	cull none
	qer_editorimage textures/hellarena_beta2/concrete.tga
	qer_trans 0.4
	surfaceparm nonsolid
	{
		map textures/hellarena_beta2/concrete.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/trapdirt
{
	cull none
	qer_editorimage textures/hellarena_beta2/dirt.tga
	qer_trans 0.4
	surfaceparm nonsolid
	{
		map textures/hellarena_beta2/dirt.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/traproller
{
	cull none
	qer_editorimage textures/hellarena_beta2/roller.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/hellarena_beta2/roller.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_beta2/water
{
	cull none
	qer_editorimage textures/hellarena_beta2/water2.tga
	qer_trans 0.5
	q3map_fancywater 1 0.275 0.584 0.522
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	{
		map textures/hellarena_beta2/water1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 -0.0173
	}
	{
		map textures/hellarena_beta2/water2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 0.0173
	}
	{
		map textures/hellarena_beta2/water3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 0
	}
	{
		map $lightmap
		blendfunc filter
	}
}